complexType "FloatingLegCalculation"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 8 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 8 elements
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | pricingDates?, averagingMethod?, conversionFactor?, rounding?, (spread | spreadSchedule+ | spreadPercentage)?, fx?
</...>

Content Model Elements (8):

  averagingMethod (defined in FloatingLegCalculation complexType),
  conversionFactor (defined in FloatingLegCalculation complexType),
  fx (defined in FloatingLegCalculation complexType),
  pricingDates (defined in FloatingLegCalculation complexType),
  rounding (defined in FloatingLegCalculation complexType),
  spread (defined in FloatingLegCalculation complexType),
  spreadPercentage,
  spreadSchedule (defined in FloatingLegCalculation complexType)

Known Direct Subtypes (1):

  FloatingStrikePrice

All Direct / Indirect Based Elements (3):

  calculation (in averagePriceLeg), calculation (in floatingLeg), | floatingStrikePricePerUnit

Known Usage Locations

- In derivations of other global types (1):
  FloatingStrikePrice (as extension base)
- As direct type of elements (2):

  calculation (in averagePriceLeg), | calculation (in floatingLeg)

Annotation
A type to capture details relevant to the calculation of the floating price.
XML Source (w/o annotations (9); see within schema source)

<xsd:complexType name="FloatingLegCalculation"> <xsd:sequence> <xsd:element minOccurs="0" name="pricingDates" type="CommodityPricingDates"/> <xsd:element minOccurs="0" name="averagingMethod" type="AveragingMethodEnum"/> <xsd:element minOccurs="0" name="conversionFactor" type="xsd:decimal"/> <xsd:element minOccurs="0" name="rounding" type="Rounding"/> <xsd:choice minOccurs="0"> <xsd:element name="spread" type="CommoditySpread"/> <xsd:element maxOccurs="unbounded" name="spreadSchedule" type="CommoditySpreadSchedule"/> <xsd:element name="spreadPercentage" type="xsd:decimal"/> </xsd:choice> <xsd:element minOccurs="0" name="fx" type="CommodityFx"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 8/8)
averagingMethod

  Type: | AveragingMethodEnum, simple content

  The parties may specify a Method of Averaging where more than one pricing Dates is being specified as being applicable.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Unweighted" | - | The arithmetic mean of the relevant rates for each reset date. See: http://www.FpML.org
  "Weighted" | - | The arithmetic mean of the relevant rates in effect for each day in a calculation period calculated by multiplying each relevant rate by the number of days such relevant rate is in effect, determining the sum of such products and dividing such sum by the number of days in the calculation period. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="averagingMethod" type="AveragingMethodEnum"/>

conversionFactor

  Type: | xsd:decimal, predefined, simple content

  If the Notional Quantity is specified in units that do not match the units in which the Commodity Reference Price is quoted, the scaling or conversion factor used to convert the Commodity Reference Price units into the Notional Quantity units should be stated here. If there is no conversion, this element is not intended to be used.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="conversionFactor" type="xsd:decimal"/>

fx

  Type: | CommodityFx, complex content

  Defines how observations of FX prices are to be used to calculate a factor with which to convert the observed Commodity Reference Price to the Settlement Currency.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fx" type="CommodityFx"/>

pricingDates

  Type: | CommodityPricingDates, complex content

  Commodity Pricing Dates.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="pricingDates" type="CommodityPricingDates"/>

rounding

  Type: | Rounding, complex content

  Rounding direction and precision for price values.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="rounding" type="Rounding"/>

spread

  Type: | CommoditySpread, complex content

  The spread over or under the Commodity Reference Price for this leg of the trade.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="spread" type="CommoditySpread"/>

spreadPercentage

  Type: | xsd:decimal, predefined, simple content

  The spread percentage over or under the Commodity Reference Price for this leg of the trade.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="spreadPercentage" type="xsd:decimal"/>

spreadSchedule

  Type: | CommoditySpreadSchedule, complex content

  The spread over or under the Commodity Reference Price for this leg of the trade for each Calculation Period.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="spreadSchedule" type="CommoditySpreadSchedule"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.